package com.qmth.eds.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.eds.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 下载记录表
 */
@ApiModel(value = "ExamDownloadRecord对象", description = "下载记录表")
public class ExamDownloadRecord extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "下载日期")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long operateTime;

    @ApiModelProperty(value = "用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty(value = "用户名称")
    private String userName;

    @ApiModelProperty(value = "考务数据同步记录表ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long syncTotalId;

    @ApiModelProperty(value = "是否使用")
    private Boolean used;

    @ApiModelProperty(value = "用途")
    private String useScene;

    public Long getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(Long operateTime) {
        this.operateTime = operateTime;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getSyncTotalId() {
        return syncTotalId;
    }

    public void setSyncTotalId(Long syncTotalId) {
        this.syncTotalId = syncTotalId;
    }

    public Boolean getUsed() {
        return used;
    }

    public void setUsed(Boolean used) {
        this.used = used;
    }

    public String getUseScene() {
        return useScene;
    }

    public void setUseScene(String useScene) {
        this.useScene = useScene;
    }
}
